Disable follow up rules/item/disable
curl --request POST \
--url https://api.callaro.ai/api/v1/follow-up-rules/{id}/disable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"follow_up_rule": {
"action_config": {},
"conditions": {},
"name": "<string>",
"enabled": "<string>",
"priority": 123,
"applies_tenant_wide": "<string>"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
follow_up_rule: {
action_config: {},
conditions: {},
name: '<string>',
enabled: '<string>',
priority: 123,
applies_tenant_wide: '<string>'
}
})
};
fetch('https://api.callaro.ai/api/v1/follow-up-rules/{id}/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/follow-up-rules/{id}/disable"
payload = { "follow_up_rule": {
"action_config": {},
"conditions": {},
"name": "<string>",
"enabled": "<string>",
"priority": 123,
"applies_tenant_wide": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"name": "<string>",
"enabled": "<string>",
"priority": 123,
"scope": "<string>",
"applies_tenant_wide": "<string>",
"linked_agents": "<string>",
"linked_campaigns": "<string>",
"linked_agents_count": 123,
"linked_campaigns_count": 123,
"conditions": "<string>",
"action_config": "<string>",
"follow_up_type": "<string>",
"delay_minutes": "<string>",
"max_attempts": 123,
"created_by_id": "<string>",
"created_by": "<string>",
"last_modified_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}FollowUps
Disable follow up rules/item/disable
From api/v1/follow_up_rules#disable in voice_saas_api. Fields come from that action’s strong params / params usage.
POST
/
api
/
v1
/
follow-up-rules
/
{id}
/
disable
Disable follow up rules/item/disable
curl --request POST \
--url https://api.callaro.ai/api/v1/follow-up-rules/{id}/disable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"follow_up_rule": {
"action_config": {},
"conditions": {},
"name": "<string>",
"enabled": "<string>",
"priority": 123,
"applies_tenant_wide": "<string>"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
follow_up_rule: {
action_config: {},
conditions: {},
name: '<string>',
enabled: '<string>',
priority: 123,
applies_tenant_wide: '<string>'
}
})
};
fetch('https://api.callaro.ai/api/v1/follow-up-rules/{id}/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/follow-up-rules/{id}/disable"
payload = { "follow_up_rule": {
"action_config": {},
"conditions": {},
"name": "<string>",
"enabled": "<string>",
"priority": 123,
"applies_tenant_wide": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"name": "<string>",
"enabled": "<string>",
"priority": 123,
"scope": "<string>",
"applies_tenant_wide": "<string>",
"linked_agents": "<string>",
"linked_campaigns": "<string>",
"linked_agents_count": 123,
"linked_campaigns_count": 123,
"conditions": "<string>",
"action_config": "<string>",
"follow_up_type": "<string>",
"delay_minutes": "<string>",
"max_attempts": 123,
"created_by_id": "<string>",
"created_by": "<string>",
"last_modified_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?